As an offshoot of the feedback we got from different channels , ( Blogs , Direct emails to team members , our discussion forums, etc) we are releasing an “interim build” of the data services  Silverlight client which works with the  Silverlight 2 Beta 2 runtime ,and works with the RTM ADO.NET Data Services Server released as part of .Net Framework 3.5 SP1 RTM.

Download Location : ADO.NET Data Services Silverlight 2 B2 Client Refresh

 

How did we get here ?

We have different ship vehicles for the client and the server components.

When the Silverlight 2 Beta 2 Client shipped , the ADO.NET Data Services  Server which was available was the one from .NET Framework 3.5 SP1 Beta1 and we made the SL client library work with the Server which was available when SL2 Beta 2 shipped.

When the RTM of .NET Framework 3.5 SP1 was released, the Silverlight Client library was still the one from the SL2 Beta 2 release.

The original plan was to ship a Silverlight Client Library for ADO.NET Data Services when Silverlight 2 RTMs.  This meant that for a certain period of time , between when 3.5 SP1 RTM and SL2.0 RTM,  users would have a Silverlight Client Library for ADO.NET Data Services which would not work with the RTM Server.

You can read more about this here :  Compat Note: Silverlight Beta 2 Client & .NET Framework 3.5 SP1 Server Components

 

What is this release about ?

We took the Silverlight Client Library code that was going be released as part of the SL 2.0 RTM SDK (or almost, you never know when you’re set and won’t touch the bits again) and built it against the SL 2 Beta 2 Runtime and SDK components.This new downloadable assembly will allow your Silverlight applications built against Silverlight 2 Beta 2 to talk to Data Services servers built with the .NET 3.5 SP1 RTM release

 

Should everyone upgrade to this release of the client library ?

If your client applications are built on SL2 Beta 2 SDK and talk  to the ADO.NET Data Services Server released as part of .NET Framework 3.5 SP1 Beta1 , then upgrading to this Assembly will break your client applications.  Don’t upgrade unless the Data Services Server is from .NET Framework 3.5 SP1 RTM.

If you want your Silverlight applications built on SL2 Beta 2 SDK to talk to the Astoria Server released as part of the .NET Framework 3.5 SP1 RTM, then you should upgrade to this version of the System.Data.Services.Client Library.

 

Are there any gotchas to be aware of ?

Yes -- Don’t depend on this “interim release” for your production applications.

Wait until Silverlight 2.0 RTMs to deploy any Silverlight applications that use the System.Data.Services.Client library.

 

How different is this from the RTM library ?

Well, most of the code is the same as will be shipped in the Silverlight RTM SDK.  The difference being that we have to depend on the SL2 Beta 2 Runtime for certain core functionality.  So , consider this an early look at something close to what will come later on.  Any feedback you give us will only help make the RTM library that much better.

 

Using the new Assembly

Download the new Silverlight Client Assembly from here : ADO.NET Data Services Silverlight 2 B2 Client Refresh

 

Installing the New Silverlight Client Assembly

1.            Go to the %ProgramFiles%\Microsoft SDKs\Silverlight\v2.0\Libraries\Client folder

2.            Backup the older System.Data.Services.Client.dll

3.            Replace the older assembly with the new one.

 

Upgrading your applications to use the new SL Client Assembly

1.            Remove any references to the older SL client library in your applications .

2.            Compile to make sure that the build fails .

3.            Add a reference to the newer SL Client assembly .

4.            Compile again to make sure that the build succeeds .

 

Phani Raj

ADO.NET Data Services Test Team